package com.zayac.changeurl.api;

import com.zayac.changeurl.service.ChangeURLService;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author zayac
 * @since 2023-08-30 12:07
 */
@RestController
@RequestMapping("/api/v1")
public class ChangeURLApi {
    @Resource
    private ChangeURLService changeURLService;

    @GetMapping("/change")
    public Boolean changeURL(String text) {
        return changeURLService.change(text);
    }
}
